<?php

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly.
}

$zoho_flow_services_config = array (
  array (
    'name' => esc_html__('Contact Form 7'),
    'gallery_app_link' => 'contact-form-7',
    'description' => esc_html__('Contact Form 7 is a Wordpress form builder that supports Ajax-powered submitting, CAPTCHA, Akismet spam filtering and more.', 'zoho-flow'),
    'icon_file' => 'contact-form-7.png',
    'class_test' => 'WPCF7_ContactForm',
    'version' => 'v1',
    'rest_apis' => array (
      array (
        'type' => 'list',
        'path' => '/forms',
        'method' => 'get_forms',
        'capability' => 'wpcf7_read_contact_forms',
        'schema_method' => 'get_form_schema',
      ),
      array (
        'type' => 'list',
        'path' => '/forms/(?\'form_id\'[\\d]+)/fields',
        'method' => 'get_fields',
        'capability' => 'wpcf7_read_contact_forms',
        'schema_method' => 'get_field_schema',
      ),
      array (
        'type' => 'list',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks',
        'method' => 'get_webhooks',
        'capability' => 'wpcf7_read_contact_forms',
        'schema_method' => 'get_form_webhook_schema',
      ),
      array (
        'type' => 'create',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks',
        'method' => 'create_webhook',
        'capability' => 'wpcf7_edit_contact_form',
        'schema_method' => '',
      ),
      array (
        'type' => 'delete',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks/(?\'webhook_id\'[\\d]+)',
        'method' => 'delete_webhook',
        'capability' => 'wpcf7_delete_contact_form',
        'schema_method' => '',
      ),
      array (
        'type' => 'get',
        'path' => '/files/(?\'filename\'.+)',
        'method' => 'get_file',
        'capability' => 'wpcf7_edit_contact_form',
        'schema_method' => '',
      ),
    ),
    'hooks' => array (
      array (
        'action' => 'wpcf7_before_send_mail',
        'method' => 'process_form_submission',
        'args_count' => 1,
      ),
    ),
  ),
  array (
    'name' => esc_html__('WPForms'),
    'gallery_app_link' => 'wpforms',
    'description' => esc_html__('WPForms is a WordPress forms plugin with drag and drop online form builder that allows users to create contact forms, email subscription forms, payment forms and more.', 'zoho-flow'),
    'icon_file' => 'wpforms.png',
    'class_test' => 'WPForms',
    'version' => 'v1',
    'rest_apis' => array (
      array (
        'type' => 'list',
        'path' => '/forms',
        'method' => 'get_forms',
        'capability' => 'manage_options',
        'schema_method' => 'get_form_schema',
      ),
      array (
        'type' => 'list',
        'path' => '/forms/(?\'form_id\'[\\d]+)/fields',
        'method' => 'get_fields',
        'capability' => 'manage_options',
        'schema_method' => 'get_field_schema',
      ),
      array (
        'type' => 'list',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks',
        'method' => 'get_webhooks',
        'capability' => 'manage_options',
        'schema_method' => 'get_form_webhook_schema',
      ),
      array (
        'type' => 'create',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks',
        'method' => 'create_webhook',
        'capability' => 'manage_options',
        'schema_method' => '',
      ),
      array (
        'type' => 'delete',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks/(?\'webhook_id\'[\\d]+)',
        'method' => 'delete_webhook',
        'capability' => 'manage_options',
        'schema_method' => '',
      ),
      array (
        'type' => 'get',
        'path' => '/files/(?\'filename\'.+)',
        'method' => 'get_file',
        'capability' => 'manage_options',
        'schema_method' => '',
      ),
    ),
    'hooks' => array (
      array (
        'action' => 'wpforms_process_complete',
        'method' => 'process_form_submission',
        'args_count' => 4,
      ),
    ),
  ),
  array (
    'name' => esc_html__('Ninja Forms'),
    'gallery_app_link' => 'ninja-forms',
    'description' => esc_html__('Ninja Forms is a Wordpress form builder that provides drag and drop form fields, multi-page forms, conditional forms and more.', 'zoho-flow'),
    'icon_file' => 'ninja-forms.png',
    'class_test' => 'Ninja_Forms',
    'version' => 'v1',
    'rest_apis' => array (
      array (
        'type' => 'list',
        'path' => '/forms',
        'method' => 'get_forms',
        'capability' => 'manage_options',
        'schema_method' => 'get_form_schema',
      ),
      array (
        'type' => 'list',
        'path' => '/forms/(?\'form_id\'[\\d]+)/fields',
        'method' => 'get_fields',
        'capability' => 'manage_options',
        'schema_method' => 'get_field_schema',
      ),
      array (
        'type' => 'list',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks',
        'method' => 'get_webhooks',
        'capability' => 'manage_options',
        'schema_method' => 'get_form_webhook_schema',
      ),
      array (
        'type' => 'create',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks',
        'method' => 'create_webhook',
        'capability' => 'manage_options',
        'schema_method' => '',
      ),
      array (
        'type' => 'delete',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks/(?\'webhook_id\'[\\d]+)',
        'method' => 'delete_webhook',
        'capability' => 'manage_options',
        'schema_method' => '',
      ),
    ),
    'hooks' => array (
      array (
        'action' => 'ninja_forms_after_submission',
        'method' => 'process_form_submission',
        'args_count' => 4,
      ),
    ),
  ),
  array (
    'name' => esc_html__('Formidable Forms'),
    'gallery_app_link' => 'formidable-forms',
    'description' => esc_html__('Formidable Forms is a drag and drop Wordpress forms plugin that lets you create contact forms, surveys, quizzes, registration forms, payment forms and more.', 'zoho-flow'),
    'icon_file' => 'formidable-forms.png',
    'class_test' => 'FrmSettings',
    'version' => 'v1',
    'rest_apis' => array (
      array (
        'type' => 'list',
        'path' => '/forms',
        'method' => 'get_forms',
        'capability' => 'frm_view_forms',
        'schema_method' => 'get_form_schema',
      ),
      array (
        'type' => 'list',
        'path' => '/forms/(?\'form_id\'[\\d]+)/fields',
        'method' => 'get_fields',
        'capability' => 'frm_view_forms',
        'schema_method' => 'get_field_schema',
      ),
      array (
        'type' => 'list',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks',
        'method' => 'get_webhooks',
        'capability' => 'frm_view_forms',
        'schema_method' => 'get_form_webhook_schema',
      ),
      array (
        'type' => 'create',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks',
        'method' => 'create_webhook',
        'capability' => 'frm_edit_forms',
        'schema_method' => '',
      ),
      array (
        'type' => 'delete',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks/(?\'webhook_id\'[\\d]+)',
        'method' => 'delete_webhook',
        'capability' => 'frm_delete_forms',
        'schema_method' => '',
      ),
    ),
    'hooks' => array (
      array (
        'action' => 'frm_after_create_entry',
        'method' => 'process_form_submission',
        'args_count' => 3,
      ),
    ),
  ),
  array (
    'name' => esc_html__('Everest Forms'),
    'gallery_app_link' => 'everest-forms',
    'description' => esc_html__('Everest Forms is a WordPress form plugin with a drag and drop form builder. It provides multiple column layout, shortcode support, smart tags and more.', 'zoho-flow'),
    'icon_file' => 'everest-forms.png',
    'class_test' => 'EverestForms',
    'version' => 'v1',
    'rest_apis' => array (
      array (
        'type' => 'list',
        'path' => '/forms',
        'method' => 'get_forms',
        'capability' => 'manage_everest_forms',
        'schema_method' => 'get_form_schema',
      ),
      array (
        'type' => 'list',
        'path' => '/forms/(?\'form_id\'[\\d]+)/fields',
        'method' => 'get_fields',
        'capability' => 'manage_everest_forms',
        'schema_method' => 'get_field_schema',
      ),
      array (
        'type' => 'list',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks',
        'method' => 'get_webhooks',
        'capability' => 'manage_everest_forms',
        'schema_method' => 'get_form_webhook_schema',
      ),
      array (
        'type' => 'create',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks',
        'method' => 'create_webhook',
        'capability' => 'edit_everest_forms',
        'schema_method' => '',
      ),
      array (
        'type' => 'delete',
        'path' => '/forms/(?\'form_id\'[\\d]+)/webhooks/(?\'webhook_id\'[\\d]+)',
        'method' => 'delete_webhook',
        'capability' => 'manage_everest_forms',
        'schema_method' => '',
      ),
    ),
    'hooks' => array (
      array (
        'action' => 'everest_forms_process_complete',
        'method' => 'process_form_submission',
        'args_count' => 4,
      ),
    ),
  )
);
